post
https://globalticket.com/webservices/scanapi/ updateReservation
Update a reservation for multiple ticket types.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Description:
With this functionality you can update a reservation
Note
HMAC calculation:
Base64 encode - SHA256(apiKey + reservationId + ticketDate + tickets)
HMAC key calculation of tickets array is as follows
Example:
$tickets = \[
'321' => [ 'ticketNumber' => 2, 'ticketTime' => '10:00' ],
'123' => [ 'ticketTime' => '12:00', 'ticketNumber' => 3 ],
];
ticketTypeId sorted ascending, and data array keys are sorted alphabetically, values are concatenated:
$result = '123312:00321210:00';
only include optional params in the HMAC if you are using those params.